# cwltool.stdfsaccess

Abstracted IO access.

## Classes

`StdFsAccess` | Local filesystem implementation.

## Functions

`abspath`(src, basedir) |

## Module Contents

cwltool.stdfsaccess.abspath(src, basedir)
  Parameters:

    - src (str)

    - basedir (str)

  Return type:

    str

class cwltool.stdfsaccess.StdFsAccess(basedir)

  Local filesystem implementation.

  Parameters:

    basedir (str)

  basedir
  glob(pattern)

    Return a possibly empty list of absolute URI paths that match pathname.

    Parameters:

      pattern (str)

    Return type:

      list[str]

  open(fn, mode)
    Parameters:

      - fn (str)

      - mode (str)

    Return type:

      IO[Any]

  exists(fn)
    Parameters:

      fn (str)

    Return type:

      bool

  size(fn)
    Parameters:

      fn (str)

    Return type:

      int

  isfile(fn)
    Parameters:

      fn (str)

    Return type:

      bool

  isdir(fn)
    Parameters:

      fn (str)

    Return type:

      bool

  listdir(fn)

    Return a list containing the absolute path URLs of the entries in the directory given by path.

    Parameters:

      fn (str)

    Return type:

      list[str]

  join(path, *paths)

    Join one or more path segments intelligently.

    Parameters:

      - path (str)

      - paths (str)

    Return type:

      str

  realpath(path)
    Parameters:

      path (str)

    Return type:

      str